• 1344阅读
  • 7回复

[讨论]Qt5.12.2升级到Qt5.12.5的坑 [复制链接]

上一主题 下一主题
在线liulin188
 

只看楼主 倒序阅读 楼主  发表于: 2019-09-16
1,openssl变了,要升级1.1了,升级也就升级了吧,关键是尼玛新版本openssl库的名字变了,害的我搞了一会。

2,QWebengineview那一套东西,不知道他升级了什么,5.12.2跑的好好的代码,5.12.5跑不起来。5.12.2可以可以开30个浏览器,5.12.5只能开20个了,

不知道该不该倒退回去。。。。
https://wiki.qt.io/Qt_5.12_Release
https://wiki.qt.io/New_Features_in_Qt_5.12
https://wiki.qt.io/Qt_5.12.0_Known_Issues
https://www.qt.io/blog/qt-5.13.2-released
https://www.qt.io/blog/qt-creator-4.10.2-released
https://wiki.qt.io/Qt_5.12_Tools_and_Versions
离线angelus

只看该作者 1楼 发表于: 2019-09-16
5.12.4 qml界面有时候会卡死问题后,一直停留在5.12.2版本,不敢升级了
离线XChinux

只看该作者 2楼 发表于: 2019-09-16
这是什么坑?windows ? android ? ios? 我们用5.12.4一直。
二笔 openSUSE Vim N9 BB10 XChinux@163.com 网易博客 腾讯微博
承接C++/Qt、Qt UI界面、PHP及预算报销系统开发业务
在线liulin188

只看该作者 3楼 发表于: 2019-09-16
描述没描述清楚,纠结的一比。
https://wiki.qt.io/Qt_5.12_Release
https://wiki.qt.io/New_Features_in_Qt_5.12
https://wiki.qt.io/Qt_5.12.0_Known_Issues
https://www.qt.io/blog/qt-5.13.2-released
https://www.qt.io/blog/qt-creator-4.10.2-released
https://wiki.qt.io/Qt_5.12_Tools_and_Versions
在线20091001753

只看该作者 4楼 发表于: 2019-09-16
Qt 自 5.13 开始,已自支持 openssl 1.1,但不包含 openssl 库文件,意思是:
因为版权问题,你需要自己下载 ssl 的 dll ,然后放到与 Qt5Network.dll 同样的目录下即可,不再需要你自己的程序链接 openssl 的 dll
(づ ̄ 3 ̄)づ
在线stlcours

只看该作者 5楼 发表于: 2019-09-16
QWebengineview那一套东西,不知道他升级了什么,5.12.2跑的好好的代码,5.12.5跑不起来。5.12.2可以可以开30个浏览器,5.12.5只能开20个了,

到这个版本的QTBUG列表里去找和QWebengineview有关的东西。

只看该作者 6楼 发表于: 2019-10-24
我明明装的是Qt5.12.5,为什么装好了打开一看,Based on Qt5.13.1???
离线wangjianxyz

只看该作者 7楼 发表于: 2019-12-30
回 大千世界mcq 的帖子

你说的“Based on”是不是Qt Creator里面的“帮助--关于”?

这里是说你用的Qt Creator的依赖的Qt版本。
每个Qt的安装程序,自带一套Qt Creator。
以前的时候,Qt Creator的依赖版本就是当前版本。(比如Qt5.9.8)
不知从什么时候起,双方就不一致了。
Qt Creator的依赖版本比当前Qt版本,落后一个小版本。





快速回复
限100 字节
 
上一个 下一个